Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161360 - Compiler crashes when optimization flags are used
Summary: Compiler crashes when optimization flags are used
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 17:25 UTC by Konstantin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 11:20:02 UTC


Attachments (Terms of Use)
Output generated by GCC. (deleted)
2005-06-22 17:41 UTC, Konstantin
no flags Details
Output generated by GCC. (deleted)
2005-06-22 17:42 UTC, Konstantin
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22415 None None None Never

Description Konstantin 2005-06-22 17:25:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I use optimization flags exept -O1 compiler crashes.
With -O1 and without any opt. flags source compiles fine and linked binaries work.

# c++ lab-05-task-1.cpp -O2
lab-05-task-1.cpp: In function int main():
lab-05-task-1.cpp:156: internal compiler error: in coalesce_abnormal_edges, at tree-outof-ssa.c:642
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccA8XNeH.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):
gcc-4.0.0-8

How reproducible:
Always

Steps to Reproduce:
1. Compile some c++ code.


Additional info:

Comment 1 Konstantin 2005-06-22 17:41:02 UTC
Created attachment 115822 [details]
Output generated by GCC.

Comment 2 Konstantin 2005-06-22 17:42:14 UTC
Created attachment 115823 [details]
Output generated by GCC.

Comment 3 Jakub Jelinek 2005-07-12 11:20:02 UTC
Tracking this upstream.


Note You need to log in before you can comment on or make changes to this bug.